Appearance
Interviews API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| getInterview | GET /interviews/ | Get Interview |
| interviewFollowUp | POST /interviews/{interview_id}/follow_up | Interview Follow Up |
| listInterviews | GET /interviews | List Interviews |
| regenerateInterview | POST /interviews/{interview_id}/regenerate | Regenerate Interview |
getInterview
Interview getInterview()
Example
typescript
import { createConfiguration, InterviewsApi } from '';
import type { InterviewsApiGetInterviewRequest } from '';
const configuration = createConfiguration();
const apiInstance = new InterviewsApi(configuration);
const request: InterviewsApiGetInterviewRequest = {
interviewId: "interview_id_example",
};
const data = await apiInstance.getInterview(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| interviewId | [string] | defaults to undefined |
Return type
Interview
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
interviewFollowUp
Conversation interviewFollowUp(conversationCreate)
Example
typescript
import { createConfiguration, InterviewsApi } from '';
import type { InterviewsApiInterviewFollowUpRequest } from '';
const configuration = createConfiguration();
const apiInstance = new InterviewsApi(configuration);
const request: InterviewsApiInterviewFollowUpRequest = {
interviewId: "interview_id_example",
conversationCreate: {
message: "message_example",
},
};
const data = await apiInstance.interviewFollowUp(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversationCreate | ConversationCreate | ||
| interviewId | [string] | defaults to undefined |
Return type
Conversation
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listInterviews
PageInterview listInterviews()
Example
typescript
import { createConfiguration, InterviewsApi } from '';
import type { InterviewsApiListInterviewsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new InterviewsApi(configuration);
const request: InterviewsApiListInterviewsRequest = {
// Comma-separated list of interviews IDs (optional)
id: "id_example",
// Comma-separated list of project IDs (optional)
projectId: "projectId_example",
// Comma-separated list of audiences IDs (optional)
audienceId: "audienceId_example",
// Comma-separated list of studies IDs (optional)
studyId: "studyId_example",
// Comma-separated list of synthetic users IDs (optional)
syntheticUserId: "syntheticUserId_example",
// Status to filter by (optional)
status: "status_example",
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listInterviews(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | [string] | Comma-separated list of interviews IDs | (optional) defaults to undefined |
| projectId | [string] | Comma-separated list of project IDs | (optional) defaults to undefined |
| audienceId | [string] | Comma-separated list of audiences IDs | (optional) defaults to undefined |
| studyId | [string] | Comma-separated list of studies IDs | (optional) defaults to undefined |
| syntheticUserId | [string] | Comma-separated list of synthetic users IDs | (optional) defaults to undefined |
| status | [string] | Status to filter by | (optional) defaults to undefined |
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageInterview
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
regenerateInterview
Interview regenerateInterview()
Example
typescript
import { createConfiguration, InterviewsApi } from '';
import type { InterviewsApiRegenerateInterviewRequest } from '';
const configuration = createConfiguration();
const apiInstance = new InterviewsApi(configuration);
const request: InterviewsApiRegenerateInterviewRequest = {
interviewId: "interview_id_example",
};
const data = await apiInstance.regenerateInterview(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| interviewId | [string] | defaults to undefined |
Return type
Interview
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |